require 'psych'

module Pubba
  module Assets
    class Configuration
      attr_reader :yaml, :name, :disclaimer

      def initialize(config_file)
        @yaml = Psych.load_file(config_file)
        @name = File.basename(config_file)
        @disclaimer = "// This file is automatically generated from the contents\n// in #{name}\n//\n"
      end

      def global_config!
        @global_config ||= (yaml.delete("global") || {})
      end

      def process
        yaml.each do |page, config|
          yield page, config
        end
      end
    end # Configuration
  end # Assets
end # Pubba
