require 'minitest/unit'
require 'sinatra/test_helpers'
require_relative 'resources'

MiniTest::Unit.autorun

class TestPubba < MiniTest::Unit::TestCase
  include Sinatra::TestHelpers

  def setup
    mock_app do
      require 'pubba'

      settings.set :public_folder, Resources.public_folder

      Pubba.configure do |p|
        p.config_file   = Resources.pubba_config_file
        p.public_folder = settings.public_folder
        p.asset_folder  = Resources.asset_folder
        p.r18n_folder   = Resources.r18n_folder
      end

      Pubba::Site.configure

      helpers Pubba::HTML::Helpers

      get('/') do
        'OK'
      end

      get('/home-page-head-tags') do
        @page = Pubba::Site.page('home');
        page_head_tags
      end

      get('/home-page-body-tags') do
        @page = Pubba::Site.page('home');
        page_body_tags
      end
    end

    get '/'
  end

  def empty_hash
    {}
  end
end

