require 'helper'

class TestPubbaPage < TestPubba
  def test_home_r18n
    page = Pubba::Site.page('home')

    assert_equal 'Home title', page.title
    assert_equal 'Logout', page.logout_link
  end

  def test_search_r18n
    page = Pubba::Site.page('search')

    assert_equal 'Search title', page.title
    assert_equal 'Logout', page.logout_link
  end

  def test_home_all_css_asset
    css = File.open( File.join(Resources.asset_folder, 'out', 'css', 'home-all.css')){|f| f.read }
    contents = <<TEXT
// This file is automatically generated from the contents
// in #{Pubba::Site.asset_configuration.name}
//
//= require custom/global.css
//= require custom/home.css
TEXT

    assert_equal contents.chomp, css
  end

  def test_home_phone_css_asset
    css = File.open( File.join(Resources.asset_folder, 'out', 'css', 'home-phone.css')){|f| f.read }
    contents = <<TEXT
// This file is automatically generated from the contents
// in #{Pubba::Site.asset_configuration.name}
//
//= require custom/small.css
TEXT

    assert_equal contents.chomp, css
  end

  def test_home_desktop_css_asset
    css = File.open( File.join(Resources.asset_folder, 'out', 'css', 'home-desktop.css')){|f| f.read }
    contents = <<TEXT
// This file is automatically generated from the contents
// in #{Pubba::Site.asset_configuration.name}
//
//= require custom/large.css
TEXT

    assert_equal contents.chomp, css
  end

  def test_search_all_css_asset
    css = File.open( File.join(Resources.asset_folder, 'out', 'css', 'search-all.css')){|f| f.read }
    contents = <<TEXT
// This file is automatically generated from the contents
// in #{Pubba::Site.asset_configuration.name}
//
//= require custom/global.css
//= require custom/search.css
//= require third-party/widget.css
TEXT

    assert_equal contents.chomp, css
  end

  def test_search_phone_css_asset
    css = File.open( File.join(Resources.asset_folder, 'out', 'css', 'search-phone.css')){|f| f.read }
    contents = <<TEXT
// This file is automatically generated from the contents
// in #{Pubba::Site.asset_configuration.name}
//
//= require custom/small.css
TEXT

    assert_equal contents.chomp, css
  end

  def test_search_desktop_css_asset
    css = File.open( File.join(Resources.asset_folder, 'out', 'css', 'search-desktop.css')){|f| f.read }
    contents = <<TEXT
// This file is automatically generated from the contents
// in #{Pubba::Site.asset_configuration.name}
//
//= require custom/large.css
TEXT

    assert_equal contents.chomp, css
  end

  def test_home_head_js_asset
    js = File.open( File.join(Resources.asset_folder, 'out', 'js', 'home-head.js')){|f| f.read }
    contents = <<TEXT
// This file is automatically generated from the contents
// in #{Pubba::Site.asset_configuration.name}
//
//= require third-party/modernizr.js
TEXT

    assert_equal contents.chomp, js
  end

  def test_home_body_js_asset
    js = File.open( File.join(Resources.asset_folder, 'out', 'js', 'home-body.js')){|f| f.read }
    contents = <<TEXT
// This file is automatically generated from the contents
// in #{Pubba::Site.asset_configuration.name}
//
//= require github/documentcloud/underscore.js
//= require github/documentcloud/backbone.js
//= require custom/app.js
//= require custom/tracker.js
TEXT

    assert_equal contents.chomp, js
  end

  def test_search_head_js_asset
    js = File.open( File.join(Resources.asset_folder, 'out', 'js', 'search-head.js')){|f| f.read }
    contents = <<TEXT
// This file is automatically generated from the contents
// in #{Pubba::Site.asset_configuration.name}
//
//= require third-party/modernizr.js
TEXT

    assert_equal contents.chomp, js
  end

  def test_search_body_js_asset
    js = File.open( File.join(Resources.asset_folder, 'out', 'js', 'search-body.js')){|f| f.read }
    contents = <<TEXT
// This file is automatically generated from the contents
// in #{Pubba::Site.asset_configuration.name}
//
//= require github/documentcloud/underscore.js
//= require github/documentcloud/backbone.js
//= require custom/app.js
//= require custom/tracker.js
//= require custom/lightbox.js
TEXT

    assert_equal contents.chomp, js
  end
end
