module Resources
  extend self

  def app_folder
    File.join(File.dirname(__FILE__), 'sinatra', 'app')
  end

  def asset_folder
    File.join(app_folder, 'assets')
  end

  def r18n_folder
    File.join(app_folder, 'i18n')
  end

  def public_folder
    File.join(File.dirname(__FILE__), 'sinatra', 'public')
  end

  def public_js_folder
    File.join(File.dirname(__FILE__), 'sinatra', 'public', 'js')
  end

  def public_css_folder
    File.join(File.dirname(__FILE__), 'sinatra', 'public', 'css')
  end

  def pubba_config_file
    File.join(File.dirname(__FILE__), 'sinatra', 'config', 'pubba.yml')
  end

  def out_js_folder
    File.join(asset_folder, 'out', 'js')
  end

  def out_css_folder
    File.join(asset_folder, 'out', 'css')
  end

  def clean
    Dir.glob(Resources.public_js_folder + "/*.js").each do |entry|
      $>.print "deleting: #{entry}\n"
      File.delete(entry)
    end

    Dir.glob(Resources.public_css_folder + "/*.css").each do |entry|
      $>.print "deleting: #{entry}\n"
      File.delete(entry)
    end

    Dir.glob(Resources.out_js_folder + "/*.js").each do |entry|
      $>.print "deleting: #{entry}\n"
      File.delete(entry)
    end

    Dir.glob(Resources.out_css_folder + "/*.css").each do |entry|
      $>.print "deleting: #{entry}\n"
      File.delete(entry)
    end
  end
end
